Last Comment Bug 756430 - Missing return statement in DrawTargetD2D::FillGlyphsManual
: Missing return statement in DrawTargetD2D::FillGlyphsManual
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 05:38 PDT by Jacek Caban
Modified: 2012-06-21 12:43 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (1.45 KB, patch)
2012-05-18 05:38 PDT, Jacek Caban
bas: review+
Details | Diff | Review

Description Jacek Caban 2012-05-18 05:38:22 PDT
Created attachment 625074 [details] [diff] [review]
fix v1.0

Found on mingw build thanks to -Werror=return-type. While I was on this I've fixed one more warning about unused variable.

BTW, GCC has many more warnings that seem harmless, like an enum not handled in switch statement. I'm happy to fix them, but I'm not sure it's welcomed. Bas, what do you think?
Comment 1 Bas Schouten (:bas.schouten) 2012-05-18 06:11:48 PDT
(In reply to Jacek Caban from comment #0)
> Created attachment 625074 [details] [diff] [review]
> fix v1.0
> 
> Found on mingw build thanks to -Werror=return-type. While I was on this I've
> fixed one more warning about unused variable.

Ugh, this is just me being blind, our MSVC build warns for this by default as well.

> BTW, GCC has many more warnings that seem harmless, like an enum not handled
> in switch statement. I'm happy to fix them, but I'm not sure it's welcomed.
> Bas, what do you think?

I'm a little indifferent to the specific warning you mentioned, but some may be useful?
Comment 2 Jacek Caban 2012-05-21 03:04:42 PDT
(In reply to Bas Schouten (:bas) from comment #1)
> I'm a little indifferent to the specific warning you mentioned, but some may
> be useful?

I just filled bug 756996 so you can decide seeing the code. Unused variables seem valuable, others are nice to have fixed clean ups so that useful warnings are not shadowed by them.
Comment 4 Ed Morley [:emorley] 2012-05-23 08:06:14 PDT
https://hg.mozilla.org/mozilla-central/rev/dac49054fb1d

Note You need to log in before you can comment on or make changes to this bug.